跳转到主要内容
设置/场景封装相关接口
GETTemplate Operations起始版本 3.6.0同步需要认证

查询模板具体配置

查询模板具体配置

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • templateUuidString必填

      所属模板Uuid

    • categoryString必填

      配置类型

    • nameString必填

      配置名称

    • defaultValueString必填

      模板默认值

    • valueString必填

      模板值

请求地址

GET/zstack/v1/template-configurations/configs

/zstack/v1/template-configurations/configs

操作 ID

QueryTemplateConfig

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/template-configurations/configs' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "templateUuid": "0000111122223333", "category": "backupStorage", "name": "reservedCapacity", "defaultValue": "1G", "value": "2G" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史